## Peace of Mind+, A fork of Fairphone's app

[![Peace of Mind+][img_github]][link_peaceofmindplus_playstore]

### Disconnect from the World, if only for a moment!

An open-source fork of Fairphone's Peace of Mind app.

> We become more conscious of our phones as our lives become increasingly connected. Would you like to disconnect, if only for a moment? Your phone will go silent and disconnect from the world: no e-mail, no status updates, no SMS and no phone calls. Choose how long you wish to disconnect (up to 12 hours).

Originally developed by **Kwame Corporation** for the upcoming **Fairphone**, [Peace of Mind+][link_peaceofmindplus_playstore] aims simply to bring this beautiful app to other devices, and for future Fairphone-owners patiently waiting to receive their phone!

Peace of Mind+ is an open-source project released under the Apache License version 2.0.

**Disclaimer:** This is not the official App, and I'm not related to Kwame Corporation or the Fairphone project, except for buying a Fairphone device. Credit (and many thanks) go to Fairphone/Kwamecorp!

## Features
* Turn Airplane mode on for up to 12 hours.
* Settings to set choose mode (Airplane/Silent) and maximum duration (3, 6 or 12 hours).
* Home screen and lock screen widgets, DashClock extension.
* Supports all Android devices using Android ICS (4.0) or later.
* On Android 4.2+ devices, the app requires Root privileges to enable the Airplane Mode. On non-rooted phones (or if SU is declined) the app enables Silent Mode instead. This is due to security changes introduced by Google in Android SDK version 17.

*Note:* Peace of Mind+ is basically Airplane Mode with a timer. All phone calls, including emergency calls, are disabled during the Airplane/PeaceOfMind Mode. You'll need to turn off the app to enable calls!

## Links

* [Website][link_peaceofmindplus_website]
* [Source code on GitHub][link_peaceofmindplus_github]
* [XDA thread][link_peaceofmindplus_xda]
* [Privacy policy][link_peaceofmindplus_privacy]
* [Peace of Mind+ on Google Play][link_peaceofmindplus_playstore]

[![Android app on Google Play][img_playstore_badge]][link_peaceofmindplus_playstore]

## Credits

* Developed by [Mudar Noufal][link_mudar_ca]  &lt;<mn@mudar.ca>&gt;
* Updated translations by [martinusbe][link_xda_martinusbe] (NL), [Benko111][link_xda_benko111] (DE), [gaich][link_xda_gaich] (RU), [mauam][link_xda_mauam] (PT), [eduds][link_xda_eduds] (PT-BR) and [ccamara][link_github_ccamara] (CA).
* Many thanks to [Kwamecorp][link_kwamecorp] and the [Fairphone][link_fairphone] team!

This Android app includes libraries and derivative work of the following projects:

* [RootTools][link_roottools] &copy; S.Erickson, C.Ravenscroft, D.Schuermann and A.Shanks.
* [DashClock API][link_dashclock] by Roman Nurik &copy; Google Inc.
* [AOSP][link_lib_aosp] &copy; The Android Open Source Project.
* [Android Support Library v7][link_lib_supportv7] &copy; The Android Open Source Project.
* [Android Asset Studio][link_lib_ui_utils] &copy; Google Inc, used to create icons assets.

These five projects are all released under the [Apache License v2.0][link_apache].

## Code license

    Copyright (C) 2013 Fairphone Project
    Copyright (C) 2013 Mudar Noufal, PeaceOfMind+
    
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
    
    http://www.apache.org/licenses/LICENSE-2.0
    
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

[![Android app on Google Play][img_devices]][link_peaceofmindplus_playstore]

[link_peaceofmindplus_playstore]: http://play.google.com/store/apps/details?id=ca.mudar.fairphone.peaceofmind
[img_github]: http://fairphone.mudar.ca/images/peaceofmind-github.png
[link_peaceofmindplus_website]: http://fairphone.mudar.ca/
[link_peaceofmindplus_privacy]: http://fairphone.mudar.ca/privacy.html
[link_peaceofmindplus_xda]: http://forum.xda-developers.com/showthread.php?t=2573945
[link_peaceofmindplus_github]: https://github.com/mudar/Fairphone
[link_mudar_ca]: http://www.mudar.ca/
[link_kwamecorp]: https://github.com/Kwamecorp
[link_fairphone]: http://www.fairphone.com/
[img_devices]: http://fairphone.mudar.ca/images/fairphone-devices.png
[img_playstore_badge]: http://fairphone.mudar.ca/images/en_app_rgb_wo_60.png
[link_lib_aosp]: http://source.android.com/
[link_lib_supportv7]: http://developer.android.com/tools/support-library/
[link_lib_ui_utils]: http://code.google.com/p/android-ui-utils/
[link_xda_martinusbe]: http://forum.xda-developers.com/member.php?u=4139665
[link_xda_benko111]: http://forum.xda-developers.com/member.php?u=5276854
[link_xda_gaich]: http://forum.xda-developers.com/member.php?u=4563466
[link_xda_mauam]: http://forum.xda-developers.com/member.php?u=3563392
[link_xda_eduds]: https://forum.xda-developers.com/member.php?u=5161712
[link_github_ccamara]: http://github.com/ccamara
[link_roottools]: http://code.google.com/p/roottools/
[link_dashclock]: http://code.google.com/p/dashclock/
[link_apache]: http://www.apache.org/licenses/LICENSE-2.0
